summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/httrack/README11
-rw-r--r--network/httrack/doinst.sh3
-rw-r--r--network/httrack/httrack.SlackBuild85
-rw-r--r--network/httrack/httrack.info10
-rw-r--r--network/httrack/slack-desc19
5 files changed, 128 insertions, 0 deletions
diff --git a/network/httrack/README b/network/httrack/README
new file mode 100644
index 0000000000..376ca585d5
--- /dev/null
+++ b/network/httrack/README
@@ -0,0 +1,11 @@
+HTTrack is a free (GPL, libre/free software) and easy-to-use offline
+browser utility.
+
+It allows you to download a World Wide Web site from the Internet to a
+local directory, building recursively all directories, getting HTML,
+images, and other files from the server to your computer. HTTrack
+arranges the original site's relative link-structure. Simply open a page
+of the "mirrored" website in your browser, and you can browse the site
+from link to link, as if you were viewing it online. HTTrack can also
+update an existing mirrored site, and resume interrupted downloads.
+HTTrack is fully configurable, and has an integrated help system.
diff --git a/network/httrack/doinst.sh b/network/httrack/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/httrack/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/httrack/httrack.SlackBuild b/network/httrack/httrack.SlackBuild
new file mode 100644
index 0000000000..a28551320c
--- /dev/null
+++ b/network/httrack/httrack.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for httrack
+# Copyright 2013 klaatu member.fsf.org
+### GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=httrack
+VERSION=${VERSION:-3.46.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/httrack/httrack.info b/network/httrack/httrack.info
new file mode 100644
index 0000000000..9e275361c2
--- /dev/null
+++ b/network/httrack/httrack.info
@@ -0,0 +1,10 @@
+PRGNAM="httrack"
+VERSION="3.46.1"
+HOMEPAGE="http://www.httrack.com"
+DOWNLOAD="http://download.httrack.com/httrack-3.46.1.tar.gz"
+MD5SUM="adf29c0f7913a850a902bf03b6ab1a01"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/network/httrack/slack-desc b/network/httrack/slack-desc
new file mode 100644
index 0000000000..0621a0642a
--- /dev/null
+++ b/network/httrack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+httrack: httrack (offline web browser)
+httrack:
+httrack: It allows you to download a World Wide Web site from the Internet to
+httrack: a local directory, building recursively all directories, getting
+httrack: HTML, images, and other files from the server to your computer.
+httrack: HTTrack arranges the original site's relative link-structure. Simply
+httrack: open a page of the "mirrored" website in your browser, and you can
+httrack: browse the site from link to link, as if you were viewing it online.
+httrack: HTTrack can also update an existing mirrored site, and resume
+httrack: interrupted downloads. HTTrack is fully configurable.
+httrack: http://www.httrack.com